monsieurp    15/06/13 09:58:36

  Modified:             batik-1.8.ebuild ChangeLog
  Log:
  Add some missing imports to avoid a compiling issue courtesy of Martin von 
Gagern <[email protected]>. Fix bug 551952.
  
  Signed-off-by: Patrice Clement <[email protected]>
  (Portage version: 2.2.14/cvs/Linux x86_64, signed Manifest commit with key 
93491BB8)

Revision  Changes    Path
1.2                  dev-java/batik/batik-1.8.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-java/batik/batik-1.8.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-java/batik/batik-1.8.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-java/batik/batik-1.8.ebuild?r1=1.1&r2=1.2

Index: batik-1.8.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-java/batik/batik-1.8.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- batik-1.8.ebuild    7 Jun 2015 23:38:39 -0000       1.1
+++ batik-1.8.ebuild    13 Jun 2015 09:58:36 -0000      1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/batik/batik-1.8.ebuild,v 1.1 
2015/06/07 23:38:39 monsieurp Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-java/batik/batik-1.8.ebuild,v 1.2 
2015/06/13 09:58:36 monsieurp Exp $
 
 EAPI=5
 JAVA_PKG_IUSE="doc"
@@ -22,7 +22,7 @@
        dev-java/xmlgraphics-commons:1.5
        python? ( dev-java/jython:0 )
        tcl? ( dev-java/jacl:0 )
-       dev-java/ant-core"
+       dev-java/ant-core:0"
 DEPEND=">=virtual/jdk-1.6
        ${CDEPEND}"
 RDEPEND=">=virtual/jre-1.6
@@ -37,6 +37,18 @@
                java-ant_xml-rewrite -f ${file} -c -e javadoc -a failonerror -v 
no -a maxmemory -v 512m
        done
 
+       # Add some missing imports to avoid a compiling issue.
+       # https://bugs.gentoo.org/show_bug.cgi?id=551952
+       # https://issues.apache.org/jira/browse/BATIK-1123
+       local imports=()
+       
imports+=(sources/org/apache/batik/script/jpython/JPythonInterpreterFactory.java)
+       
imports+=(sources/org/apache/batik/script/jacl/JaclInterpreterFactory.java)
+       for import in ${imports[@]}; do
+               einfo "Fixing missing import in ${import}"
+               sed -i '23i import org.apache.batik.script.ImportInfo;' 
${import}
+               eend $?
+       done
+
        cd lib
        rm -v *.jar build/*.jar || die
        use python && java-pkg_jar-from jython



1.74                 dev-java/batik/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-java/batik/ChangeLog?rev=1.74&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-java/batik/ChangeLog?rev=1.74&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-java/batik/ChangeLog?r1=1.73&r2=1.74

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-java/batik/ChangeLog,v
retrieving revision 1.73
retrieving revision 1.74
diff -u -r1.73 -r1.74
--- ChangeLog   7 Jun 2015 23:38:39 -0000       1.73
+++ ChangeLog   13 Jun 2015 09:58:36 -0000      1.74
@@ -1,6 +1,10 @@
 # ChangeLog for dev-java/batik
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/batik/ChangeLog,v 1.73 2015/06/07 
23:38:39 monsieurp Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-java/batik/ChangeLog,v 1.74 2015/06/13 
09:58:36 monsieurp Exp $
+
+  13 Jun 2015; Patrice Clement <[email protected]> batik-1.8.ebuild:
+  Add some missing imports to avoid a compiling issue courtesy of Martin von
+  Gagern <[email protected]>. Fix bug 551952.
 
 *batik-1.8 (07 Jun 2015)
 




Reply via email to